Package org.apache.commons.imaging.formats.jpeg.segments

## Class AppnSegment

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.segments.Segment
    - - org.apache.commons.imaging.formats.jpeg.segments.GenericSegment
      - - org.apache.commons.imaging.formats.jpeg.segments.AppnSegment

- Direct Known Subclasses:
    `App13Segment`, `App14Segment`, `App2Segment`

      public class AppnSegment
      extends GenericSegment

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `length, marker`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppnSegment​(int marker, int markerLength, InputStream is)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDescription()` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.GenericSegment

      `dump, dump, getSegmentData, getSegmentData, getSegmentDataAsString`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `getSegmentType, toString`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppnSegment

          public AppnSegment​(int marker,
                             int markerLength,
                             InputStream is)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in class `Segment`